LibreOffice: DataPointProperties Service Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Types | Included Services | Public Attributes | List of all members
DataPointProperties Service Reference
Inheritance diagram for DataPointProperties:

## Public Types
typedef sequence< XDataPointCustomLabelField > | CustomLabelFields
| specifies a text with possible fields that is used as a data point label, if set then Label property is ignored

## Included Services
service | ::com::sun::star::beans::PropertySet
| to give access to the properties required by this service.
service | ::com::sun::star::drawing::FillProperties
| to give access to the fill properties

## Public Attributes
long | Color
| points to a style that also supports this service (but not this property) that is used as default, if the PropertyState of a property is `DEFAULT_VALUE`.
short | Transparency
| This is the main transparency value of a data point.
::com::sun::star::drawing::FillStyle | FillStyle
| This enumeration selects the style with which the area will be filled.
::com::sun::star::awt::Gradient | TransparencyGradient
| This describes the transparency of the fill area as a gradient.
::com::sun::star::awt::Gradient | Gradient
::com::sun::star::drawing::Hatch | Hatch
string | TransparencyGradientName
string | GradientName
string | HatchName
string | FillBitmapName
boolean | FillBackground
| If `TRUE`, fills the background of a hatch with the color given in the Color property.
long | BorderColor
| Is used for borders around filled objects.
::com::sun::star::drawing::LineStyle | BorderStyle
| Is used for borders around filled objects.
long | BorderWidth
| Is used for borders around filled objects.
::com::sun::star::drawing::LineDash | BorderDash
| Is used for borders around filled objects.
string | BorderDashName
| The name of a dash that can be found in the com::sun::star::container::XNameContainer "com.sun.star.drawing.LineDashTable", that can be created via the com::sun::star::uno::XMultiServiceFactory of the ChartDocument.
short | BorderTransparency
| Is used for borders around filled objects.
::com::sun::star::drawing::LineStyle | LineStyle
long | LineWidth
| Is only used for line-chart types.
::com::sun::star::drawing::LineDash | LineDash
| Is only used for line-chart types.
string | LineDashName
| The name of a dash that can be found in the com::sun::star::container::XNameContainer "com.sun.star.drawing.LineDashTable", that can be created via the com::sun::star::uno::XMultiServiceFactory of the ChartDocument.
short | FillBitmapOffsetX
| This is the horizontal offset where the tile starts.
short | FillBitmapOffsetY
| This is the vertical offset where the tile starts.
short | FillBitmapPositionOffsetX
| Every second line of tiles is moved the given percent of the width of the bitmap.
short | FillBitmapPositionOffsetY
| Every second row of tiles is moved the given percent of the width of the bitmap.
com::sun::star::drawing::RectanglePoint | FillBitmapRectanglePoint
| The RectanglePoint specifies the position inside of the bitmap to use as the top left position for rendering.
boolean | FillBitmapLogicalSize
| specifies if the size is given in percentage or as an absolute value.
long | FillBitmapSizeX
| This is the width of the tile for filling.
long | FillBitmapSizeY
| This is the height of the tile for filling.
com::sun::star::drawing::BitmapMode | FillBitmapMode
| this enum selects how an area is filled with a single bitmap.
Symbol | Symbol
double | Offset
| describes a value by which a data point is moved from its default position in percent of the maximum allowed distance.
long | Geometry3D
| describes the geometry of a 3 dimensional data point.
DataPointLabel | Label
string | LabelSeparator
| specifies a string that is used to separate the parts of a data label (caption)
boolean | TextWordWrap
| specifies if the text of a data label (caption) must be wrapped
long | NumberFormat
| specifies a number format for the display of the value in the data label
long | PercentageNumberFormat
| specifies a number format for the display of the percentage value in the data label
long | LabelPlacement
| specifies a relative position for the data label
com::sun::star::awt::Size | ReferencePageSize
| The size of the page at the moment when the font size for data labels was set.
com::sun::star::beans::XPropertySet | ErrorBarX
| If void, no error bars are shown for the data point in x-direction.
com::sun::star::beans::XPropertySet | ErrorBarY
| If void, no error bars are shown for the data point in y-direction.
boolean | ShowErrorBox
| In case ErrorBarX and ErrorBarY both are set, and error bars are shown, a box spanning all error-indicators is rendered.
short | PercentDiagonal
| A value between 0 and 100 indicating the percentage how round an edge should be.
::com::sun::star::chart2::RelativePosition | CustomLabelPosition
| Custom position on the page associated to the CUSTOM label placement.
Public Attributes inherited from FillProperties
FillStyle | FillStyle
| This enumeration selects the style the area will be filled with.
com::sun::star::util::Color | FillColor
| If the property FillStyle is set to FillStyle::SOLID, this is the color used.
short | FillTransparence
| This is the transparence of the filled area.
string | FillTransparenceGradientName
| If a gradient is used for transparency, this is the name of the used transparence gradient style or it is empty.
com::sun::star::awt::Gradient | FillTransparenceGradient
| This describes the transparency of the fill area as a gradient.
string | FillGradientName
| If the property FillStyle is set to FillStyle::GRADIENT, this is the name of the used fill gradient style.
com::sun::star::awt::Gradient | FillGradient
| If the property FillStyle is set to FillStyle::GRADIENT, this describes the gradient used.
string | FillHatchName
| If the property FillStyle is set to FillStyle::HATCH, this is the name of the used fill hatch style.
Hatch | FillHatch
| If the property FillStyle is set to FillStyle::HATCH, this describes the hatch used.
boolean | FillBackground
| if this is `TRUE`, the transparent background of a hatch filled area is drawn in the current background color.
string | FillBitmapName
| If the property FillStyle is set to FillStyle::BITMAP, this is the name of the used fill bitmap style.
com::sun::star::awt::XBitmap | FillBitmap
| If the property FillStyle is set to FillStyle::BITMAP, this is the bitmap used.
string | FillBitmapURL
| If the property FillStyle is set to FillStyle::BITMAP, this is a URL to the bitmap used.
short | FillBitmapPositionOffsetX
| This is the horizontal offset where the tile starts.
short | FillBitmapPositionOffsetY
| This is the vertical offset where the tile starts.
short | FillBitmapOffsetX
| Every second line of tiles is moved the given percent of the width of the bitmap.
short | FillBitmapOffsetY
| Every second row of tiles is moved the given percent of the height of the bitmap.
RectanglePoint | FillBitmapRectanglePoint
| The RectanglePoint specifies the position inside of the bitmap to use as the top left position for rendering.
boolean | FillBitmapLogicalSize
| specifies if the size is given in percentage or as an absolute value.
long | FillBitmapSizeX
| This is the width of the tile for filling.
long | FillBitmapSizeY
| This is the height of the tile for filling.
BitmapMode | FillBitmapMode
| this enum selects how an area is filled with a single bitmap.
boolean | FillBitmapStretch
| if set, the fill bitmap is stretched to fill the area of the shape.
boolean | FillBitmapTile
| if set, the fill bitmap is repeated to fill the area of the shape.
com::sun::star::text::GraphicCrop | GraphicCrop
| contains the cropping of the object.
boolean | FillUseSlideBackground
| If this is `TRUE`, and FillStyle is FillStyle::NONE: The area displays the slide background.

## Additional Inherited Members
Exported Interfaces inherited from PropertySet
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XFastPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::beans::XPropertyAccess
interface | com::sun::star::beans::XPropertyState
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XFastPropertySet
void | setFastPropertyValue ([in] long nHandle, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value to the property with the specified name.
any | getFastPropertyValue ([in] long nHandle) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Protected Member Functions inherited from XPropertyAccess
sequence< com::sun::star::beans::PropertyValue > | getPropertyValues ()
void | setPropertyValues ([in] sequence< com::sun::star::beans::PropertyValue > aProps) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values of given properties.
Protected Member Functions inherited from XPropertyState
com::sun::star::beans::PropertyState | getPropertyState ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
sequence< com::sun::star::beans::PropertyState > | getPropertyStates ([in] sequence< string > aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
void | setPropertyToDefault ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| Sets the property to default value.
any | getPropertyDefault ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )

## Member Typedef Documentation

## ◆ CustomLabelFields

sequence<XDataPointCustomLabelField> CustomLabelFields
| optionalproperty

specifies a text with possible fields that is used as a data point label, if set then Label property is ignored

Since
  LibreOffice 6.1

## Exported Interfaces

## ◆ ::com::sun::star::beans::PropertySet

service ::com::sun::star::beans::PropertySet

to give access to the properties required by this service.

## ◆ ::com::sun::star::drawing::FillProperties

service ::com::sun::star::drawing::FillProperties

to give access to the fill properties

Note that there is access for some of them through some alias.

Since
  LibreOffice 5.1

## Member Data Documentation

## ◆ BorderColor

long BorderColor
| property

Is used for borders around filled objects.

See `LineColor`.

See also
  com::sun::star::drawing::LineProperties

## ◆ BorderDash

::com::sun::star::drawing::LineDash BorderDash
| property

Is used for borders around filled objects.

See `LineDash`.

See also
  com::sun::star::drawing::LineProperties

## ◆ BorderDashName

string BorderDashName
| optionalproperty

The name of a dash that can be found in the com::sun::star::container::XNameContainer "com.sun.star.drawing.LineDashTable", that can be created via the com::sun::star::uno::XMultiServiceFactory of the ChartDocument.

## ◆ BorderStyle

::com::sun::star::drawing::LineStyle BorderStyle
| property

Is used for borders around filled objects.

See `LineStyle`.

See also
  com::sun::star::drawing::LineProperties

## ◆ BorderTransparency

short BorderTransparency
| optionalproperty

Is used for borders around filled objects.

See `LineTransparence`.

See also
  com::sun::star::drawing::LineProperties

## ◆ BorderWidth

long BorderWidth
| property

Is used for borders around filled objects.

See `LineWidth`.

See also
  com::sun::star::drawing::LineProperties

## ◆ Color

long Color
| property

points to a style that also supports this service (but not this property) that is used as default, if the PropertyState of a property is `DEFAULT_VALUE`.

This is the main color of a data point.

For charts with filled areas, like bar-charts, this should map to the `FillColor` of the objects. For line-charts this should map to the `LineColor` property.

See also
  com::sun::star::drawing::FillProperties
  com::sun::star::drawing::LineProperties

## ◆ CustomLabelPosition

::com::sun::star::chart2::RelativePosition CustomLabelPosition
| optionalpropertymaybevoid

Custom position on the page associated to the CUSTOM label placement.

Since
  LibreOffice 7.0

## ◆ ErrorBarX

com::sun::star::beans::XPropertySet ErrorBarX
| optionalpropertymaybevoid

If void, no error bars are shown for the data point in x-direction.

The com::sun::star::beans::XPropertySet must support the service ErrorBar.

## ◆ ErrorBarY

com::sun::star::beans::XPropertySet ErrorBarY
| optionalpropertymaybevoid

If void, no error bars are shown for the data point in y-direction.

The com::sun::star::beans::XPropertySet must support the service ErrorBar.

## ◆ FillBackground

boolean FillBackground
| property

If `TRUE`, fills the background of a hatch with the color given in the Color property.

## ◆ FillBitmapLogicalSize

boolean FillBitmapLogicalSize
| property

specifies if the size is given in percentage or as an absolute value.

If this is `TRUE`, the properties FillBitmapSizeX and FillBitmapSizeY contain the size of the tile in percent of the size of the original bitmap. If this is `FALSE`, the size of the tile is specified with 1/100th mm.

## ◆ FillBitmapMode

com::sun::star::drawing::BitmapMode FillBitmapMode
| property

this enum selects how an area is filled with a single bitmap.

## ◆ FillBitmapName

string FillBitmapName
| property

## ◆ FillBitmapOffsetX

short FillBitmapOffsetX
| property

This is the horizontal offset where the tile starts.

It is given in percent in relation to the width of the bitmap.

## ◆ FillBitmapOffsetY

short FillBitmapOffsetY
| property

This is the vertical offset where the tile starts.

It is given in percent in relation to the width of the bitmap.

## ◆ FillBitmapPositionOffsetX

short FillBitmapPositionOffsetX
| property

Every second line of tiles is moved the given percent of the width of the bitmap.

## ◆ FillBitmapPositionOffsetY

short FillBitmapPositionOffsetY
| property

Every second row of tiles is moved the given percent of the width of the bitmap.

## ◆ FillBitmapRectanglePoint

com::sun::star::drawing::RectanglePoint FillBitmapRectanglePoint
| property

The RectanglePoint specifies the position inside of the bitmap to use as the top left position for rendering.

## ◆ FillBitmapSizeX

long FillBitmapSizeX
| property

This is the width of the tile for filling.

Depending on the property FillBitmapLogicalSize, this is either relative or absolute.

## ◆ FillBitmapSizeY

long FillBitmapSizeY
| property

This is the height of the tile for filling.

Depending on the property FillBitmapLogicalSize, this is either relative or absolute.

## ◆ FillStyle

::com::sun::star::drawing::FillStyle FillStyle
| property

This enumeration selects the style with which the area will be filled.

## ◆ Geometry3D

long Geometry3D
| optionalproperty

describes the geometry of a 3 dimensional data point.

Number is one of constant group DataPointGeometry3D.

This is especially used for 3D bar-charts.

CUBOID==0 CYLINDER==1 CONE==2 PYRAMID==3 CUBOID==else

## ◆ Gradient

::com::sun::star::awt::Gradient Gradient
| optionalproperty

## ◆ GradientName

string GradientName
| property

## ◆ Hatch

::com::sun::star::drawing::Hatch Hatch
| optionalproperty

## ◆ HatchName

string HatchName
| property

## ◆ Label

DataPointLabel Label
| property

## ◆ LabelPlacement

long LabelPlacement
| optionalproperty

specifies a relative position for the data label

See also
  com::sun::star::chart::DataLabelPlacement

## ◆ LabelSeparator

string LabelSeparator
| optionalproperty

specifies a string that is used to separate the parts of a data label (caption)

## ◆ LineDash

::com::sun::star::drawing::LineDash LineDash
| property

Is only used for line-chart types.

See also
  com::sun::star::drawing::LineProperties

## ◆ LineDashName

string LineDashName
| optionalproperty

The name of a dash that can be found in the com::sun::star::container::XNameContainer "com.sun.star.drawing.LineDashTable", that can be created via the com::sun::star::uno::XMultiServiceFactory of the ChartDocument.

## ◆ LineStyle

::com::sun::star::drawing::LineStyle LineStyle
| property

## ◆ LineWidth

long LineWidth
| property

Is only used for line-chart types.

See also
  com::sun::star::drawing::LineProperties

## ◆ NumberFormat

long NumberFormat
| optionalproperty

specifies a number format for the display of the value in the data label

## ◆ Offset

double Offset
| optionalproperty

describes a value by which a data point is moved from its default position in percent of the maximum allowed distance.

This is especially useful for the explosion of pie-chart segments.

## ◆ PercentageNumberFormat

long PercentageNumberFormat
| optionalproperty

specifies a number format for the display of the percentage value in the data label

## ◆ PercentDiagonal

short PercentDiagonal
| optionalpropertymaybevoid

A value between 0 and 100 indicating the percentage how round an edge should be.

## ◆ ReferencePageSize

com::sun::star::awt::Size ReferencePageSize
| propertymaybevoid

The size of the page at the moment when the font size for data labels was set.

This size is used to resize text in the view when the size of the page has changed since the font sizes were set (automatic text scaling).

## ◆ ShowErrorBox

boolean ShowErrorBox
| optionalpropertymaybevoid

In case ErrorBarX and ErrorBarY both are set, and error bars are shown, a box spanning all error-indicators is rendered.

## ◆ Symbol

Symbol Symbol
| optionalproperty

## ◆ TextWordWrap

boolean TextWordWrap
| optionalproperty

specifies if the text of a data label (caption) must be wrapped

Since
  LibreOffice 5.1

## ◆ Transparency

short Transparency
| property

This is the main transparency value of a data point.

For charts with filled areas, like bar-charts, this should map to the `FillTransparence` of the objects. For line-charts this should map to the `LineTransparence` property.

See also
  com::sun::star::drawing::FillProperties
  com::sun::star::drawing::LineProperties

## ◆ TransparencyGradient

::com::sun::star::awt::Gradient TransparencyGradient
| optionalproperty

This describes the transparency of the fill area as a gradient.

## ◆ TransparencyGradientName

string TransparencyGradientName
| property

The documentation for this service was generated from the following file:

- com/sun/star/chart2/DataPointProperties.idl